Loading...
Searching...
No Matches
field.cc

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.

## Macros

#define | _RHEOLEF_instanciation_base(T, M)
#define | _RHEOLEF_instanciation(T, M)

## Functions

template<class T, class M>
void | space_constitution_old_get (idiststream &ids, space_constitution< T, M > &constit)
template<class T>
odiststream & | visu_gnuplot (odiststream &, const field_basic< T, sequential > &)
template<class T>
odiststream & | visu_gmsh (odiststream &, const field_basic< T, sequential > &)
template<class T>
odiststream & | visu_vtk_paraview (odiststream &, const field_basic< T, sequential > &)
template<class T>
odiststream & | field_put_gmsh (odiststream &, const field_basic< T, sequential > &, std::string)
template<class T>
odiststream & | field_put_gmsh_pos (odiststream &, const field_basic< T, sequential > &)
template<class T>
odiststream & | field_put_bamg_bb (odiststream &, const field_basic< T, sequential > &)
| _RHEOLEF_instanciation (Float, sequential) _RHEOLEF_instanciation(Float

## Macro Definition Documentation

## _RHEOLEF_instanciation_base

#define _RHEOLEF_instanciation_base | ( |  | T,
|  |  | M )

Value:
template class field_basic<T,M>; \
template odiststream& operator<< (odiststream&, const field_basic<T,M>&);
operator<<
ostream & operator<<(ostream &os, const tiny_element &K)
Definition tiny_element.cc:27

Definition at line 498 of file field.cc.

## _RHEOLEF_instanciation

#define _RHEOLEF_instanciation | ( |  | T,
|  |  | M )

Value:
_RHEOLEF_instanciation_base(T,M)
T
Expr1::float_type T
Definition field_expr.h:230
_RHEOLEF_instanciation_base
#define _RHEOLEF_instanciation_base(T, M)
Definition field.cc:498
M
Expr1::memory_type M
Definition vec_expr_v2.h:416

Definition at line 507 of file field.cc.